## erlang-ibrowse 4.1.1

=== Makefile ===
IBROWSE_VSN = $(shell sed -n 's/.*{vsn,.*"\(.*\)"}.*/\1/p' src/ibrowse.app.src)

DIALYZER_PLT=$(CURDIR)/.dialyzer_plt
DIALYZER_APPS=erts kernel stdlib ssl crypto public_key

all: compile

compile:
	./rebar compile

clean:
	./rebar clean

install: compile
	mkdir -p $(DESTDIR)/lib/ibrowse-$(IBROWSE_VSN)/
	cp -r ebin $(DESTDIR)/lib/ibrowse-$(IBROWSE_VSN)/

test: all
	./rebar eunit
	erl -noshell -pa .eunit -pa test -s ibrowse -s ibrowse_test unit_tests \
	-s ibrowse_test verify_chunked_streaming \
	-s ibrowse_test test_chunked_streaming_once \
	-s erlang halt

xref: all
	./rebar xref

docs:
	erl -noshell \
		-eval 'edoc:application(ibrowse, ".", []), init:stop().'

$(DIALYZER_PLT):
	@echo Creating dialyzer plt file: $(DIALYZER_PLT)
	@echo This may take a minute or two...
	@echo
	dialyzer --output_plt $(DIALYZER_PLT) --build_plt \
	   --apps $(DIALYZER_APPS)

dialyzer: $(DIALYZER_PLT)
	@echo Running dialyzer...
	@echo
	dialyzer --fullpath --plt $(DIALYZER_PLT) -Wrace_conditions -Wunmatched_returns -Werror_handling -r ./ebin

=== debian/changelog ===
erlang-ibrowse (4.1.1-1) unstable; urgency=medium

  * Imported Upstream version 4.1.1

 -- Philipp Huebner <debalance@debian.org>  Wed, 16 Jul 2014 10:04:19 +0200

erlang-ibrowse (4.1.0-2) unstable; urgency=low

  * Corrected watch file

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 May 2014 00:15:10 +0200

erlang-ibrowse (4.1.0-1) unstable; urgency=low

  * Initial release (Closes: #745343)

 -- Philipp Huebner <debalance@debian.org>  Sun, 20 Apr 2014 20:12:20 +0200

=== debian/control ===
Source: erlang-ibrowse
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>=9), dh-rebar, erlang-src
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/cmullaparthi/ibrowse


Package: erlang-ibrowse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: HTTP client written in erlang
 Features:
  * [RFC2616](http://www.ietf.org/rfc/rfc2616.txt) compliant (AFAIK)
  * GET, POST, OPTIONS, HEAD, PUT, DELETE, TRACE, MKCOL, PROPFIND,
    PROPPATCH, LOCK, UNLOCK, MOVE and COPY
  * HTTP/0.9, HTTP/1.0 and HTTP/1.1
  * chunked encoding
  * generating requests using Chunked Transfer-Encoding
  * Pools of connections to each webserver
  * Pipelining support
  * Download to file
  * Asynchronous requests. Responses are streamed to a process
  * Basic authentication
  * Supports proxy authentication
  * Supports socks5
  * Can talk to secure webservers using SSL
 and more

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

DESTDIR=$(CURDIR)/debian/erlang-ibrowse


%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/ibrowse-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/ibrowse-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/ibrowse-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done

get-orig-source:
	dh_testdir
	wget -O ../erlang-ibrowse_$(DEB_VERSION_UPSTREAM).orig.tar.gz \
		https://github.com/cmullaparthi/ibrowse/archive/$(DEB_VERSION_UPSTREAM).tar.gz

=== debian/watch ===
version=3
http://githubredir.debian.net/github/cmullaparthi/ibrowse/ v(.*).tar.gz

## erlang-ibrowse 4.1.2

=== debian/changelog ===
erlang-ibrowse (4.1.2-1) unstable; urgency=medium

  * Imported Upstream version 4.1.2

 -- Philipp Huebner <debalance@debian.org>  Thu, 06 Aug 2015 12:15:23 +0200

erlang-ibrowse (4.1.1-4) unstable; urgency=medium

  * Added upstream patches to fix FTBFS (Closes: #791372)
  * Enabled erlang eunit tests

 -- Philipp Huebner <debalance@debian.org>  Tue, 07 Jul 2015 15:20:31 +0200

erlang-ibrowse (4.1.1-3) unstable; urgency=medium

  * Fixed FTBFS
  * Streamlined debian/rules

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 21:02:10 +0200

erlang-ibrowse (4.1.1-2) unstable; urgency=medium

  * Updated debian/watch
  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Apr 2015 09:55:08 +0200

## erlang-ibrowse 4.2.2

=== Makefile ===
IBROWSE_VSN = $(shell sed -n 's/.*{vsn,.*"\(.*\)"}.*/\1/p' src/ibrowse.app.src)

DIALYZER_PLT=$(CURDIR)/.dialyzer_plt
DIALYZER_APPS=erts kernel stdlib ssl crypto public_key

REBAR ?= $(shell which rebar3)

all: compile

compile:
	$(REBAR) compile

clean:
	$(REBAR) clean

test:
	$(REBAR) eunit

xref: all
	$(REBAR) xref

docs:
	$(REBAR) edoc

dialyzer:
	$(REBAR) dialyzer


install: compile
	mkdir -p $(DESTDIR)/lib/ibrowse-$(IBROWSE_VSN)/
	cp -r _build/lib/default/ibrowse/ebin $(DESTDIR)/lib/ibrowse-$(IBROWSE_VSN)/

.PHONY: test docs

=== debian/changelog ===
erlang-ibrowse (4.2.2-1) unstable; urgency=medium

  * Imported Upstream version 4.2.2

 -- Philipp Huebner <debalance@debian.org>  Mon, 30 Nov 2015 07:40:50 +0100

erlang-ibrowse (4.2-1) unstable; urgency=medium

  * Imported Upstream version 4.2

 -- Philipp Huebner <debalance@debian.org>  Sun, 04 Oct 2015 10:08:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: erlang-ibrowse
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>=9), dh-rebar, erlang-src
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>=9), dh-rebar, erlang-eunit, erlang-syntax-tools, erlang-src
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/cmullaparthi/ibrowse
-
+Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-ibrowse.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-ibrowse.git
 
 Package: erlang-ibrowse
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,14 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-ibrowse
 
 
 %:
 	dh $@ --buildsystem=rebar --with rebar
+
 
 override_dh_auto_install:
 	dh_auto_install
@@ -23,6 +21,7 @@
 		fi ; \
 	done
 
+
 get-orig-source:
 	dh_testdir
 	wget -O ../erlang-ibrowse_$(DEB_VERSION_UPSTREAM).orig.tar.gz \

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-ibrowse_$1.tar.gz/" \
  https://github.com/cmullaparthi/ibrowse/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-ibrowse 4.3

=== debian/changelog ===
erlang-ibrowse (4.3-1) unstable; urgency=medium

  * Imported Upstream version 4.3

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 15:38:06 +0200

erlang-ibrowse (4.2.4-1) unstable; urgency=medium

  * Updated debian/copyright
  * Improved debian/watch
  * Imported Upstream version 4.2.4
  * Updated Standards-Version: 3.9.8 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Sun, 01 May 2016 12:12:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>=9), dh-rebar, erlang-eunit, erlang-syntax-tools, erlang-src
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/cmullaparthi/ibrowse
-Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-ibrowse.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-ibrowse.git
+Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-ibrowse.git
+Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-ibrowse.git
 
 Package: erlang-ibrowse
 Architecture: any

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-ibrowse_$1.tar.gz/" \
  https://github.com/cmullaparthi/ibrowse/releases .*/v?(\d\S*)\.tar\.gz
